Difference: Update28-31 (1 vs. 2)

Revision 22012-02-01 - SergioTraldi

Line: 1 to 1
 
META TOPICPARENT name="IgiGliteUpdates"
Line: 11 to 11
  IMPORTANT NOTE 2:
Due to conflicts between new and old versions of various packages the repository ''glite-generic'' should be disabled:
Changed:
<
<
>
>

 # mv /etc/yum.repos.d/glite-generic.repo /etc/yum.repos.d/glite-generic.repo.disabled # yum clean all
Line: 19 to 19
 IMPORTANT NOTE 3:
Please note that the lcg-CA metapackage and repository is no longer maintained.
The lcg-CA repository should be now replaced by the EGI trustanchors repository.
Changed:
<
<
All the details on how to install the CAs can be found in [https://wiki.egi.eu/wiki/EGI_IGTF_Release]EGI IGTF release pages.
>
>
All the details on how to install the CAs can be found in EGI IGTF release pages.
 

IMPORTANT NOTE 4:

Line: 35 to 35
 

MAIN NEWS:

Changed:
<
<
* BDII_top: \\ New version of BDII_top: \\ - This is a minor update of the Top BDII which fixes a sporadic installation issue (see bug report). The parameter //dncachesize// has been included in file /etc/bdii/bdii-top-slapd.conf to address some memory issues. In addition a new version of glite-info-update-endpoints that provide a new configuration option certification_status, which has been requested by EGI. \\ - | Details about bug fixes & feature

* CREAM: \\ This patch provides an updated BLAH to address some problems when SGE is used as batch system in the CREAM CE \\ Known issues \\ See: http://grid.pd.infn.it/cream/field.php?n=Main.KnownIssues \\ - It may take very long time for BNotifier to know about a job status change dependening on the size of the job registry and of the accounting file. \\ - BupdateSGE dies when GE produces an accounting record with "start_time -/-" and "end_time -/-", it will be fixed in next patch \\ - | Details about bug fixes & feature

>
>
  • BDII_top:
    New version of BDII_top:
    - This is a minor update of the Top BDII which fixes a sporadic installation issue (see bug report). The parameter dncachesize has been included in file /etc/bdii/bdii-top-slapd.conf to address some memory issues. In addition a new version of glite-info-update-endpoints that provide a new configuration option certification_status, which has been requested by EGI.
    - Details about bug fixes & feature
 
Added:
>
>
  • CREAM:
    This patch provides an updated BLAH to address some problems when SGE is used as batch system in the CREAM CE
    Known issues
    See: http://grid.pd.infn.it/cream/field.php?n=Main.KnownIssues
    - It may take very long time for BNotifier to know about a job status change dependening on the size of the job registry and of the accounting file.
    - BupdateSGE dies when GE produces an accounting record with "start_time -/-" and "end_time -/-", it will be fixed in next patch
    - Details about bug fixes & feature
 
Changed:
<
<
* GLEXEC_WN : \\ - New version of GLEXEC_WN: \\ This update is needed to bring in new versions of the LCMAPS-plugins-pep-c and PEP-API. \\ - The PEP-API needs updating to fix a randomly occuring time-out when gLExec tries to authorize and the Argus-PEPd-server.\\ - The LCMAPS-plugin-c-pep needs updating in order to use the new PEP-API library. At the same time, the new plugin can now handle a situation when the X509_USER_PROXY (proxy of pilot job user) is located on an NFS partition with root-squash enabled. \\ This update fixes an issue with the YAIM configuration tool for glite-GLEXEC_wn. \\ See bug https://savannah.cern.ch/bugs/index.php?83779 \\ The issue mostly affects sites with a large user database and a large number of worker nodes, as the configuration script wrongfully does a full listing of all user accounts in search of the glexec account. \\ - | Details about bug fixes & features
>
>
  • GLEXEC_WN :
    - New version of GLEXEC_WN:
    This update is needed to bring in new versions of the LCMAPS-plugins-pep-c and PEP-API.
    - The PEP-API needs updating to fix a randomly occuring time-out when gLExec tries to authorize and the Argus-PEPd-server.
    - The LCMAPS-plugin-c-pep needs updating in order to use the new PEP-API library. At the same time, the new plugin can now handle a situation when the X509_USER_PROXY (proxy of pilot job user) is located on an NFS partition with root-squash enabled.
    This update fixes an issue with the YAIM configuration tool for glite-GLEXEC_wn.
    See bug https://savannah.cern.ch/bugs/index.php?83779
    The issue mostly affects sites with a large user database and a large number of worker nodes, as the configuration script wrongfully does a full listing of all user accounts in search of the glexec account.
    - Details about bug fixes & features
 
Changed:
<
<
* LB : \\ - New version of LB: \\ This release of L&B 2.1.21 introduces several hotfixes, namely to job registration and event delivery initiated by WMS, and also fixes several bugs that were affecting the interlogger under non-standard conditions (disk full, long-term inactivity, etc.). \\ - | Details about bug fixes & features
>
>
  • LB :
    - New version of LB:
    This release of L&B 2.1.21 introduces several hotfixes, namely to job registration and event delivery initiated by WMS, and also fixes several bugs that were affecting the interlogger under non-standard conditions (disk full, long-term inactivity, etc.).
    - Details about bug fixes & features
 
Changed:
<
<
* SGE_utils : \\ - New version of SGE utils: \\ This gLite-SGE_utils release implements the proper BLAH configuration (in /opt/glite/etc/blah.config) to support SGE/BLAH changes delivered by CREAM CE 1.6.6 for gLite 3.2/sl5_x86_64. Other bug fixes are also included. The reconfiguration of the service is mandatory. \\ - | Details about bug fixes & features
>
>
  • SGE_utils :
    - New version of SGE utils:
    This gLite-SGE_utils release implements the proper BLAH configuration (in /opt/glite/etc/blah.config) to support SGE/BLAH changes delivered by CREAM CE 1.6.6 for gLite 3.2/sl5_x86_64. Other bug fixes are also included. The reconfiguration of the service is mandatory.
    - Details about bug fixes & features
 
Changed:
<
<
* UI : \\ New version of UI: \\ - containing a variety of updated clients and removing the need for some known issue workarounds documented for the previous release. \\ Known issues \\ - As with all glite-UI releases the correct way to update from a previous (RPM) based release is to use "yum groupupdate glite-UI". \\ - If a "yum update" is done on a previous version of the node while the glite-UI repository is enabled a partial update of the UI will happen. To complete the update it becomes necessary to do: \\
>
>
  • UI :
    New version of UI:
    - containing a variety of updated clients and removing the need for some known issue workarounds documented for the previous release.
    Known issues:
    - As with all glite-UI releases the correct way to update from a previous (RPM) based release is to use "yum groupupdate glite-UI".
    - If a "yum update" is done on a previous version of the node while the glite-UI repository is enabled a partial update of the UI will happen. To complete the update it becomes necessary to do:

 # yum -y remove glite-lb-client glite-service-discovery-api-c glite-wms-ui-configuration # yum -y groupupdate glite-UI
Changed:
<
<
\\ - | Details about bug fixes & features
>
>
- Details about bug fixes & features
 
Changed:
<
<
* VOBOX : \\ New version of VOBOX: \\ - New version of WMS and LB clients. (The dependency glite-wms-brokerinfo-access has been added to the glite-VOBOX metapackage.) \\ - New version of CREAM clients. (Provision of glite-ce-job-output command, Other bug fixes, Known issues: http://grid.pd.infn.it/cream/field.php?n=Main.KnownIssues) \\ - New version of Data Management clients. (Added python 2.5 and python 2.6 bindings for Data Management clients) \\ - New version of yaim clients including the SAGA adapters configuration. \\ The following dependencies have been removed because they are no longer needed by the glite-VOBOX: glite-info-generic and glite-info-templates.\\ - | Details about bug fixes & features
>
>
  • VOBOX :
    New version of VOBOX:
    - New version of WMS and LB clients. (The dependency glite-wms-brokerinfo-access has been added to the glite-VOBOX metapackage.)
    - New version of CREAM clients. (Provision of glite-ce-job-output command, Other bug fixes, Known issues: http://grid.pd.infn.it/cream/field.php?n=Main.KnownIssues)
    - New version of Data Management clients. (Added python 2.5 and python 2.6 bindings for Data Management clients)
    - New version of yaim clients including the SAGA adapters configuration.
    The following dependencies have been removed because they are no longer needed by the glite-VOBOX: glite-info-generic and glite-info-templates.
    - Details about bug fixes & features
 
Changed:
<
<
* WN : \\ New version of WN: \\ - FTS clients added as new dependencies. \\ - New version of WMS and LB clients. \\ - New version of Data Management clients: Added python 2.5 and python 2.6 bindings for Data Management clients. \\ - New version of yaim clients including the SAGA adapters configuration. \\ - | Details about bug fixes & features
>
>
  • WN :
    New version of WN:
    - FTS clients added as new dependencies.
    - New version of WMS and LB clients.
    - New version of Data Management clients: Added python 2.5 and python 2.6 bindings for Data Management clients.
    - New version of yaim clients including the SAGA adapters configuration.
    - Details about bug fixes & features
 
Changed:
<
<
  • TORQUE_[client|server|utils] - New versions depending on the current version of the Torque RPMS in the EPEL repository, 2.3.13 \\ - Because the Torque spool directory has changed location it is not recommended to upgrade a running Torque setup. Information about running jobs will be lost when the new RPMs are installed. Please see the detailed release notes.
>
>
  • TORQUE_[client|server|utils]
    - New versions depending on the current version of the Torque RPMS in the EPEL repository, 2.3.13
    - Because the Torque spool directory has changed location it is not recommended to upgrade a running Torque setup. Information about running jobs will be lost when the new RPMs are installed. Please see the detailed release notes.
 
Changed:
<
<

\ * ig_WN_[LSF|torque|torque_noafs] \\ - New versions including the updated glite-WN and TORQUE_client versions
>
>
  • ig_WN_[LSF|torque|torque_noafs]
    - New versions including the updated glite-WN and TORQUE_client versions
 
Changed:
<
<
* ig_CREAM_[LSF|torque} \\ - New versions including the updated CREAM and TORQUE_[server|utils] versions \\ - Added new versions of maui, v.3.3.4, and mpi-start, v. 1.0.5-2 fixing MPI problems (reference | tkt #10401)
>
>
  • ig_CREAM_[LSF|torque}
    - New versions including the updated CREAM and TORQUE_[server|utils] versions
    - Added new versions of maui, v.3.3.4, and mpi-start, v. 1.0.5-2 fixing MPI problems (reference tkt #10401)
 
Changed:
<
<
* ig-yaim : - New version containing fixes for: \\ - | tkt #10401 - nuovo maui in igi \\ - | tkt #10381 - single sgm for glast.org \\ - | tkt #11688 - added voms-02.pd \\ - | tkt #11766 - add "jolly" for eumed\
>
>
 

Prerequisites

It means that all the previous updates have to been applied before the last one:

Changed:
<
<
>
>
 

Reference gLite Update

* gLite 3.2 x86_64 Updates:

Changed:
<
<
  • gLite 3.2 Update 26 - 06/04/2011
  • gLite 3.2 Update 27 - 07/04/2011
>
>
* gLite 3.2 Update 28 - 17/05/2011 * gLite 3.2 Update 29 - 08/06/2011 * gLite 3.2 Update 30 - 28/06/2011 * gLite 3.2 Update 31 - 06/07/2011
 

Reference packages

Package Version
Changed:
<
<
ig-metapackages ig25_sl5
''ig-yaim'' 4.0.14-5
>
>
ig-metapackages ig26_sl5
''ig-yaim'' 4.0.14-7
 
''ig-yaim-core'' 4.0.14-1

Instructions

Line: 108 to 107
 Find your nodetype and carefully follow the corresponding actions.

Profiles Metapackages*
*INSTALLATION
Nodetypes*
*CONFIGURATION
Service restart Partial reconf Total reconf Actions Notes
Changed:
<
<
SE_dcache_info ''SE_dcache_info'' ''SE_dcache_info'' - - - Nodetype_reconfiguration
Middleware_services_restart
-
SE_dcache_nameserver_chimera ''SE_dcache_nameserver_chimera'' ''SE_dcache_nameserver_chimera'' - - - Nodetype_reconfiguration
Midleware_services_restart
-
SE_dcache_pool ''SE_dcache_pool'' ''SE_dcache_pool'' - - - Nodetype_reconfiguration
Middleware_services_restart
-
SE_dcache_srm ''SE_dcache_srm'' ''SE_dcache_srm'' - - - Nodetype_reconfiguration
Middleware_services_restart
-
>
>
BDII_top ''ig_BDII_top'' ''ig_BDII_top'' X - X Metapackage_update
Nodetype_reconfiguration
Middleware_services_restart
-
CREAM ''ig_CREAM''
''ig_CREAM_LSF''
''ig_CREAM_torque''
''ig_CREAM''
''ig_CREAM_LSF''
''ig_CREAM_torque''
X - X Metapackage_update
Nodetype_reconfiguration
Middleware_services_restart
-
GLEXEC_wn ''ig_GLEXEC_wn'' ''ig_GLEXEC_wn'' - - X Metapackage_update
Nodetype_reconfiguration
-
LB ''ig_LB'' ''ig_LB'' X - X Metapackage_update
Nodetype_reconfiguration
Middleware_services_restart
-
SGE_utils ''ig_SGE_utils'' ''ig_SGE_utils '' X - X Metapackage_update
Nodetype_reconfiguration
Middleware_services_restart
-
UI ''ig_UI''
''ig_UI_noafs''
''ig_UI''
''ig_UI_noafs''
- - X Metapackage_update
Nodetype_reconfiguration
-
VOBOX ''ig_VOBOX'' ''ig_VOBOX'' X - X Metapackage_update
Nodetype_reconfiguration
Middleware_services_restart
-
WN ''ig_WN''
''ig_WN_noafs''
''ig_WN_LSF''
''ig_WN_LSF_noafs''
''ig_WN_torque''
''ig_WN_torque_noafs''
''ig_WN''
''ig_WN_noafs''
''ig_WN_LSF''
''ig_WN_LSF_noafs''
''ig_WN_torque''
''ig_WN_torque_noafs''
- - X Metapackage_update
Nodetype_reconfiguration
-
 

Actions

Line: 133 to 136
 yum groupinstall ig_WN_torque
Added:
>
>
On CE CREAM:

Before installing/updating a CREAM CE remember to install xml-commons-apis:

 yum update xml-commons-apis 

When installing/updating a CREAM CE node, a dependency problem such as:
Error: Missing Dependency: libcares.so.0()(64bit) is needed by package glite-security-gss-2.0.0-6.sl5.x86_64
could be seen. In this case, the update should be done doing:

 yum update --exclude=c-ares 
Please note that doing:
 yum update ig-CREAM_torque 
or
 yum update ig-CREAM_LSF 
you are not guaranteed to have all relevant RPMs updated.

When installing/updating ig_CREAM_torque (in general torque) remember to change the torque directory

On the Server (usually CREAM CE host) stop the pbs_server (Even if the gLite documentation says pbs_mon):

/etc/init.d/pbs_server stop
mv /var/spool/pbs /var/torque
ln -s /var/torque /var/spool/pbs
/etc/init.d/pbs_server start

On VOBOX:

When installing/updating the VOBOX 3.2.11 it doesn't work out of the box. This is because there is a new version of glite-lbjp-common-gss that obsoletes package glite-security-gss, on which glite-VOBOX still depends. The recommended upgrade sequence is:

rpm -e --nodeps glite-security-gss
yum update

On ig_WN_torque:

When installing/updating ig_WN_torque (in general torque) remember to change the torque directory doing:

/etc/init.d/pbs_mon stop
mv /var/spool/pbs /var/torque
ln -s /var/torque /var/spool/pbs
/etc/init.d/pbs_mon start
 
Editing local configuration files
Line: 147 to 191
  and on configuration variables here:
Deleted:
<
<
 
Nodetype reconfiguration
Line: 160 to 203
 
  • Reconfigure the nodetype
Added:
>
>
IMPORTANT: /services directory

Please ensure that you have all the NEEDED configuration files under your ''/services'' directory (for example: ''ig-mpi'', ''ig-mpi-ce'', ''ig-mpi-wn'', ...).

Remember to add the variable TORQUE_VAR_DIR in services and change the BATCH_LOG_DIR in ig-site-info.def to /var/torque

Known Issues: tomcat5 start log4j error

in a yaim configuration even if it terminates successfully, an error is thrown and in the log you could find:
Starting tomcat5: /usr/bin/rebuild-jar-repository: error: Could not find log4j Java extension for this JVM /usr/bin/rebuild-jar-repository: error: Some detected jars were not found for this jvm it is not important for cream to work.

 

Changed:
<
<
/opt/glite/yaim/bin/ig_yaim -c -s <site-info.def> -n
>
>
/opt/glite/yaim/bin/ig_yaim -c -s <site-info.def> -n <nodetype>
 

Where '''' is one of the nodetypes listed in the "Nodetypes" column of the table above.

Added:
>
>
NOTE: Please remember to add ”-n ig_BDII_site” if you want to reconfiguring a site BDII on top of your CE
 
Middleware services restart

Look at your ''chkconfig'' services list and restart all middleware-related service:

Line: 177 to 232
 Then restart with:


Changed:
<
<
service <middleware-service> restart
>
>
service <middleware-service> restart
 
Deleted:
<
<
Profile first installation

* Follow the IGI Installation and Configuration Guide for gLite 3.2 SL5 x86_64

 -- SergioTraldi - 2012-02-01 \ No newline at end of file

Revision 12012-02-01 - SergioTraldi

Line: 1 to 1
Added:
>
>
META TOPICPARENT name="IgiGliteUpdates"

IGI gLite 3.2 x86_64 Update 28/29/30/31(SL5) - 10/06/2011

NOTES (read before start to update)

VERY IMPORTANT NOTE:
Please be aware that because of the IMPORTANT NOTE 2 below, the installation/configuration of two or more profiles/node-types on the same machine is no more supported!!!

IMPORTANT NOTE 2:
Due to conflicts between new and old versions of various packages the repository ''glite-generic'' should be disabled: # mv /etc/yum.repos.d/glite-generic.repo /etc/yum.repos.d/glite-generic.repo.disabled # yum clean all

IMPORTANT NOTE 3:
Please note that the lcg-CA metapackage and repository is no longer maintained.
The lcg-CA repository should be now replaced by the EGI trustanchors repository.
All the details on how to install the CAs can be found in [https://wiki.egi.eu/wiki/EGI_IGTF_Release]EGI IGTF release pages.

IMPORTANT NOTE 4:
Before updating CE-CREAM with Torque Please remember to stop the pbs services:

/etc/init.d/pbs_server stop 
Before updating WN with Torque Please remember to stop the pbs services:
/etc/init.d/pbs_mon stop 
After that do the yum update commands described below in this documentation

MAIN NEWS:
* BDII_top: \\ New version of BDII_top: \\ - This is a minor update of the Top BDII which fixes a sporadic installation issue (see bug report). The parameter //dncachesize// has been included in file /etc/bdii/bdii-top-slapd.conf to address some memory issues. In addition a new version of glite-info-update-endpoints that provide a new configuration option certification_status, which has been requested by EGI. \\ - | Details about bug fixes & feature

* CREAM: \\ This patch provides an updated BLAH to address some problems when SGE is used as batch system in the CREAM CE \\ Known issues \\ See: http://grid.pd.infn.it/cream/field.php?n=Main.KnownIssues \\ - It may take very long time for BNotifier to know about a job status change dependening on the size of the job registry and of the accounting file. \\ - BupdateSGE dies when GE produces an accounting record with "start_time -/-" and "end_time -/-", it will be fixed in next patch \\ - | Details about bug fixes & feature

* GLEXEC_WN : \\ - New version of GLEXEC_WN: \\ This update is needed to bring in new versions of the LCMAPS-plugins-pep-c and PEP-API. \\ - The PEP-API needs updating to fix a randomly occuring time-out when gLExec tries to authorize and the Argus-PEPd-server.\\ - The LCMAPS-plugin-c-pep needs updating in order to use the new PEP-API library. At the same time, the new plugin can now handle a situation when the X509_USER_PROXY (proxy of pilot job user) is located on an NFS partition with root-squash enabled. \\ This update fixes an issue with the YAIM configuration tool for glite-GLEXEC_wn. \\ See bug https://savannah.cern.ch/bugs/index.php?83779 \\ The issue mostly affects sites with a large user database and a large number of worker nodes, as the configuration script wrongfully does a full listing of all user accounts in search of the glexec account. \\ - | Details about bug fixes & features

* LB : \\ - New version of LB: \\ This release of L&B 2.1.21 introduces several hotfixes, namely to job registration and event delivery initiated by WMS, and also fixes several bugs that were affecting the interlogger under non-standard conditions (disk full, long-term inactivity, etc.). \\ - | Details about bug fixes & features

* SGE_utils : \\ - New version of SGE utils: \\ This gLite-SGE_utils release implements the proper BLAH configuration (in /opt/glite/etc/blah.config) to support SGE/BLAH changes delivered by CREAM CE 1.6.6 for gLite 3.2/sl5_x86_64. Other bug fixes are also included. The reconfiguration of the service is mandatory. \\ - | Details about bug fixes & features

* UI : \\ New version of UI: \\ - containing a variety of updated clients and removing the need for some known issue workarounds documented for the previous release. \\ Known issues \\ - As with all glite-UI releases the correct way to update from a previous (RPM) based release is to use "yum groupupdate glite-UI". \\ - If a "yum update" is done on a previous version of the node while the glite-UI repository is enabled a partial update of the UI will happen. To complete the update it becomes necessary to do: \\ # yum -y remove glite-lb-client glite-service-discovery-api-c glite-wms-ui-configuration # yum -y groupupdate glite-UI \\ - | Details about bug fixes & features

* VOBOX : \\ New version of VOBOX: \\ - New version of WMS and LB clients. (The dependency glite-wms-brokerinfo-access has been added to the glite-VOBOX metapackage.) \\ - New version of CREAM clients. (Provision of glite-ce-job-output command, Other bug fixes, Known issues: http://grid.pd.infn.it/cream/field.php?n=Main.KnownIssues) \\ - New version of Data Management clients. (Added python 2.5 and python 2.6 bindings for Data Management clients) \\ - New version of yaim clients including the SAGA adapters configuration. \\ The following dependencies have been removed because they are no longer needed by the glite-VOBOX: glite-info-generic and glite-info-templates.\\ - | Details about bug fixes & features

* WN : \\ New version of WN: \\ - FTS clients added as new dependencies. \\ - New version of WMS and LB clients. \\ - New version of Data Management clients: Added python 2.5 and python 2.6 bindings for Data Management clients. \\ - New version of yaim clients including the SAGA adapters configuration. \\ - | Details about bug fixes & features

  • TORQUE_[client|server|utils] - New versions depending on the current version of the Torque RPMS in the EPEL repository, 2.3.13 \\ - Because the Torque spool directory has changed location it is not recommended to upgrade a running Torque setup. Information about running jobs will be lost when the new RPMs are installed. Please see the detailed release notes.


\ * ig_WN_[LSF|torque|torque_noafs] \\ - New versions including the updated glite-WN and TORQUE_client versions

* ig_CREAM_[LSF|torque} \\ - New versions including the updated CREAM and TORQUE_[server|utils] versions \\ - Added new versions of maui, v.3.3.4, and mpi-start, v. 1.0.5-2 fixing MPI problems (reference | tkt #10401)

* ig-yaim : - New version containing fixes for: \\ - | tkt #10401 - nuovo maui in igi \\ - | tkt #10381 - single sgm for glast.org \\ - | tkt #11688 - added voms-02.pd \\ - | tkt #11766 - add "jolly" for eumed\

Prerequisites

It means that all the previous updates have to been applied before the last one:

Reference gLite Update

* gLite 3.2 x86_64 Updates:

  • gLite 3.2 Update 26 - 06/04/2011
  • gLite 3.2 Update 27 - 07/04/2011

Reference packages

Package Version
ig-metapackages ig25_sl5
''ig-yaim'' 4.0.14-5
''ig-yaim-core'' 4.0.14-1

Instructions

Checking/Updating YUM configuration

Repository settings

Please check the instructions you find at the following link:

IGI Repository settings for gLite 3.2

yum-autoupdate settings:

As good practice is suggested to disable the yum-autoupdate service. Any other settings is decided at site-manager own risk!

To disable the service it is available the following script "disable_yum.sh" (thanks Giuseppe Platania) that can be used to REALLY disable yum-autoupdate.

Updating profiles

Find your nodetype and carefully follow the corresponding actions.

Profiles Metapackages*
*INSTALLATION
Nodetypes*
*CONFIGURATION
Service restart Partial reconf Total reconf Actions Notes
SE_dcache_info ''SE_dcache_info'' ''SE_dcache_info'' - - - Nodetype_reconfiguration
Middleware_services_restart
-
SE_dcache_nameserver_chimera ''SE_dcache_nameserver_chimera'' ''SE_dcache_nameserver_chimera'' - - - Nodetype_reconfiguration
Midleware_services_restart
-
SE_dcache_pool ''SE_dcache_pool'' ''SE_dcache_pool'' - - - Nodetype_reconfiguration
Middleware_services_restart
-
SE_dcache_srm ''SE_dcache_srm'' ''SE_dcache_srm'' - - - Nodetype_reconfiguration
Middleware_services_restart
-

Actions

Each of the following sections reports the actions that may be follow in order to upgrade your profiles. Please execute ONLY the actions listed on the table above in the column "Actions" and in the row corresponding to your profile!

Metapackage update

Please see yum tips for additional information about YUM.

  • Update YUM metadata and install the new rpms.

yum clean all
yum install 

Please remember that on case of WN you should use the "groupinstall":

yum groupinstall ig_WN_torque

Editing local configuration files

* In the last updates many variables have been changed or moved to ''services'' and ''defaults'' directories. Please carefully check your ''<site-info.def>'' and files under ''services/'' and ''nodes/'' directories comparing to the new ones distributed with latest released ''yaim'' modules. For example you can use ''vimdiff'' like here below:

vimdiff /opt/glite/yaim/examples/siteinfo/ig-site-info.def 

You may find more detailed information on configuration files structure here:

and on configuration variables here:

Nodetype reconfiguration

IMPORTANT: /services directory

Please ensure that you have all the NEEDED configuration files under your ''/services'' directory (for example: ''ig-se_dpm_mysql'', ''ig-se_dpm_disk'', ...).

For any details please refer to the reference "IGI YAIM configuration files”

  • Reconfigure the nodetype

/opt/glite/yaim/bin/ig_yaim -c -s  -n 

Where '''' is one of the nodetypes listed in the "Nodetypes" column of the table above.

Middleware services restart

Look at your ''chkconfig'' services list and restart all middleware-related service:

chkconfig --list | grep 3:on | sort

Then restart with:

service  restart

Profile first installation

* Follow the IGI Installation and Configuration Guide for gLite 3.2 SL5 x86_64

-- SergioTraldi - 2012-02-01

 
This site is powered by the TWiki collaboration platformCopyright © 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback